Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class DescribedLevel

    java.lang.Object
      java.util.logging.Level
          de.grogra.util.DescribedLevel

All Implemented Interfaces:
  Described, java.io.Serializable

    public class DescribedLevel

extends java.util.logging.Level
implements Described

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.logging.Level
`ALL, CONFIG, FINE, FINER, FINEST, INFO, OFF, SEVERE, WARNING`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Constructor Summary
`DescribedLevel(I18NBundle bundle, java.lang.String key, int value)`

Method Summary
`java.lang.Object` | `getDescription(java.lang.String type)` Returns the description associated with the given `type`.
`java.lang.String` | `getLocalizedName()`

Methods inherited from class java.util.logging.Level
`equals, getName, getResourceBundleName, hashCode, intValue, parse, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribedLevel

    public DescribedLevel(I18NBundle bundle,
                          java.lang.String key,
                          int value)

Method Detail

### getDescription

    public java.lang.Object getDescription(java.lang.String type)

  Description copied from interface: `Described`
  Returns the description associated with the given `type`. `type` has to be one of the predefined constants of this interface, the returned value has to conform to the specification of the used constant.

  Specified by:
    `getDescription` in interface `Described`
  Parameters:
    `type` - the type of description
  Returns:
    the description, or `null` if no description is available

### getLocalizedName

    public java.lang.String getLocalizedName()

  Overrides:
    `getLocalizedName` in class `java.util.logging.Level`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD